> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get series video list

> Get series/playlet video list

**Note:**
This interface returns all video list in the series
The aweme_list in the response contains video information of each episode
The has_more field indicates whether there is more data

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it’s 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I need to call the following KeyAPI endpoint. Please generate a complete and directly runnable Python example based on the API information provided below.

## API Information

Endpoint: GET https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list
Summary: Get series video list

Required Headers:
- Authorization: Bearer <YOUR_API_KEY>

Parameters:
- series_id (Required): Series id. Example: 7675990083089991686
- cursor (Optional): Cursor, used for paging, the first page is 0, the second page is usually the value of count (e.g., 15). Example: 0


## Code Requirements

- Use the Python \`requests\` library
- Provide a complete and directly runnable example
- Handle HTTP request errors, timeouts, and non-2xx responses
- Handle JSON parsing errors
- Prefer the Example values provided in the API information for sample parameters
- Keep the code simple and avoid unnecessary abstractions or complexity
`)}
    >
      ✨ Copy for AI
    </button>
  </div>
</div>


## OpenAPI

````yaml en/douyin-app.openapi.json GET /v1/douyin/app/fetch_series_video_list
openapi: 3.0.1
info:
  title: Douyin Web API english documentation
  description: English reference documentation for the Douyin App API.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/douyin/app/fetch_series_video_list:
    get:
      tags: []
      summary: Get series video list
      description: >-
        Get series/playlet video list


        **Note:**

        This interface returns all video list in the series

        The aweme_list in the response contains video information of each
        episode

        The has_more field indicates whether there is more data
      parameters:
        - name: series_id
          in: query
          description: Series id
          required: true
          example: '7675990083089991686'
          schema:
            type: string
            example: '7675990083089991686'
        - name: cursor
          in: query
          description: >-
            Cursor, used for paging, the first page is 0, the second page is
            usually the value of count (e.g., 15).
          required: false
          example: 0
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  aweme_list: null
                  max_cursor: 15
                  min_cursor: 0
                  has_more: 1
                  status_code: 0
                  status_msg: ''
                  related_item_tag: -1
                  fail_reason: status_self_see-video_scheduled_publish
                  item_filter_reasons: >-
                    {"7675990059971022095":"status_self_see\&video_scheduled_publish","7675990084964896000":"status_self_see\&video_scheduled_publish","7675990114387971378":"status_self_see\&video_scheduled_publish","7675990144268127497":"status_self_see\&video_scheduled_publish","7675990160512732443":"status_self_see\&video_scheduled_publish","7675990186269887771":"status_self_see\&video_scheduled_publish","7675990206906682659":"status_self_see\&video_scheduled_publish","7675990221154028835":"status_self_see\&video_scheduled_publish","7675990254263799055":"status_self_see\&video_scheduled_publish","7675990278574001471":"status_self_see\&video_scheduled_publish","7675990304398314771":"status_self_see\&video_scheduled_publish","7675990322823925055":"status_self_see\&video_scheduled_publish","7675990353710681380":"status_self_see\&video_scheduled_publish","7675990375626018054":"status_self_see\&video_scheduled_publish","7675990393787403561":"status_self_see\&video_scheduled_publish"}
                  watch_histories: null
                  extra:
                    fatal_item_ids: []
                    logid: 20260820154524ADDAF409AD9F7401E57C
                    now: 1787211925000
                  log_pb:
                    impr_id: 20260820154524ADDAF409AD9F7401E57C
                requestId: 2c59c78f-a0fc-4adc-8201-d801a05b8412
          headers: {}
        '400':
          $ref: '#/components/responses/400'
          description: Bad Request
        '401':
          $ref: '#/components/responses/401'
          description: Unauthorized
        '402':
          $ref: '#/components/responses/402'
          description: Payment Required
        '429':
          $ref: '#/components/responses/429'
          description: Too Many Requests
        '500':
          $ref: '#/components/responses/500'
          description: Internal Server Error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list?series_id=7675990083089991686&cursor=0' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list',
                params={"series_id": "7675990083089991686", "cursor": 0},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"series_id":
            "7675990083089991686", "cursor": 0});


            const response = await
            fetch(`https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            example:
              code: 400
              data: null
              message: 'Missing required parameter: handle'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            example:
              code: 401
              data: null
              message: apiKey is null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            type: object
            example:
              code: 402
              data: null
              message: apiKey quota is not enough
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            example:
              code: 429
              data: null
              message: qps limit exceeded
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            example:
              code: 500
              data: null
              message: Internal server error
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````